diff --git a/android/guava-tests/test/com/google/common/primitives/FloatsTest.java b/android/guava-tests/test/com/google/common/primitives/FloatsTest.java
index fd59ad4..4316db9 100644
--- a/android/guava-tests/test/com/google/common/primitives/FloatsTest.java
+++ b/android/guava-tests/test/com/google/common/primitives/FloatsTest.java
@@ -19,10 +19,7 @@ package com.google.common.primitives;
 import static com.google.common.truth.Truth.assertThat;
 import static java.lang.Float.NaN;
 
-import com.google.common.annotations.GwtCompatible;
-import com.google.common.annotations.GwtIncompatible;
 import com.google.common.base.Converter;
-import com.google.common.collect.ImmutableList;
 import com.google.common.collect.testing.Helpers;
 import com.google.common.testing.NullPointerTester;
 import com.google.common.testing.SerializableTester;
@@ -38,7 +35,6 @@ import junit.framework.TestCase;
  *
  * @author Kevin Bourrillion
  */
-@GwtCompatible(emulated = true)
 @SuppressWarnings("cast") // redundant casts are intentional and harmless
 public class FloatsTest extends TestCase {
   private static final float[] EMPTY = {};
@@ -186,7 +182,6 @@ public class FloatsTest extends TestCase {
     assertEquals(-1, Floats.lastIndexOf(new float[] {NaN, 5f}, NaN));
   }
 
-  @GwtIncompatible
   public void testMax_noArgs() {
     try {
       Floats.max();
@@ -208,7 +203,6 @@ public class FloatsTest extends TestCase {
     assertTrue(Float.isNaN(Floats.max(VALUES)));
   }
 
-  @GwtIncompatible
   public void testMin_noArgs() {
     try {
       Floats.min();
@@ -283,7 +277,7 @@ public class FloatsTest extends TestCase {
     }
   }
 
-  @GwtIncompatible // Float.toString returns different value in GWT.
+  // Float.toString returns different value in GWT.
   public void testJoin() {
     assertEquals("", Floats.join(",", EMPTY));
     assertEquals("1.0", Floats.join(",", ARRAY1));
@@ -308,7 +302,7 @@ public class FloatsTest extends TestCase {
     Helpers.testComparator(comparator, ordered);
   }
 
-  @GwtIncompatible // SerializableTester
+  // SerializableTester
   public void testLexicographicalComparatorSerializable() {
     Comparator<float[]> comparator = Floats.lexicographicalComparator();
     assertSame(comparator, SerializableTester.reserialize(comparator));
@@ -384,7 +378,7 @@ public class FloatsTest extends TestCase {
         new float[] {-1, 1, Float.NaN, -2, 2}, 1, 4, new float[] {-1, Float.NaN, 1, -2, 2});
   }
 
-  @GwtIncompatible // SerializableTester
+  // SerializableTester
   public void testStringConverterSerialization() {
     SerializableTester.reserializeAndAssert(Floats.stringConverter());
   }
@@ -496,17 +490,17 @@ public class FloatsTest extends TestCase {
     }
   }
 
-  @GwtIncompatible // Floats.tryParse
+  // Floats.tryParse
   private static void checkTryParse(String input) {
     assertEquals(referenceTryParse(input), Floats.tryParse(input));
   }
 
-  @GwtIncompatible // Floats.tryParse
+  // Floats.tryParse
   private static void checkTryParse(float expected, String input) {
     assertEquals(Float.valueOf(expected), Floats.tryParse(input));
   }
 
-  @GwtIncompatible // Floats.tryParse
+  // Floats.tryParse
   public void testTryParseHex() {
     for (String signChar : ImmutableList.of("", "+", "-")) {
       for (String hexPrefix : ImmutableList.of("0x", "0X")) {
@@ -527,7 +521,7 @@ public class FloatsTest extends TestCase {
   }
 
   @AndroidIncompatible // slow
-  @GwtIncompatible // Floats.tryParse
+  // Floats.tryParse
   public void testTryParseAllCodePoints() {
     // Exercise non-ASCII digit test cases and the like.
     char[] tmp = new char[2];
@@ -537,28 +531,28 @@ public class FloatsTest extends TestCase {
     }
   }
 
-  @GwtIncompatible // Floats.tryParse
+  // Floats.tryParse
   public void testTryParseOfToStringIsOriginal() {
     for (float f : NUMBERS) {
       checkTryParse(f, Float.toString(f));
     }
   }
 
-  @GwtIncompatible // Floats.tryParse
+  // Floats.tryParse
   public void testTryParseOfToHexStringIsOriginal() {
     for (float f : NUMBERS) {
       checkTryParse(f, Float.toHexString(f));
     }
   }
 
-  @GwtIncompatible // Floats.tryParse
+  // Floats.tryParse
   public void testTryParseNaN() {
     checkTryParse("NaN");
     checkTryParse("+NaN");
     checkTryParse("-NaN");
   }
 
-  @GwtIncompatible // Floats.tryParse
+  // Floats.tryParse
   public void testTryParseInfinity() {
     checkTryParse(Float.POSITIVE_INFINITY, "Infinity");
     checkTryParse(Float.POSITIVE_INFINITY, "+Infinity");
@@ -582,7 +576,7 @@ public class FloatsTest extends TestCase {
     "InfinityF"
   };
 
-  @GwtIncompatible // Floats.tryParse
+  // Floats.tryParse
   public void testTryParseFailures() {
     for (String badInput : BAD_TRY_PARSE_INPUTS) {
       assertEquals(referenceTryParse(badInput), Floats.tryParse(badInput));
@@ -590,12 +584,12 @@ public class FloatsTest extends TestCase {
     }
   }
 
-  @GwtIncompatible // NullPointerTester
+  // NullPointerTester
   public void testNulls() {
     new NullPointerTester().testAllPublicStaticMethods(Floats.class);
   }
 
-  @GwtIncompatible // Float.toString returns different value in GWT.
+  // Float.toString returns different value in GWT.
   public void testStringConverter_convert() {
     Converter<String, Float> converter = Floats.stringConverter();
     assertEquals((Float) 1.0f, converter.convert("1.0"));
@@ -621,7 +615,7 @@ public class FloatsTest extends TestCase {
     assertNull(Floats.stringConverter().reverse().convert(null));
   }
 
-  @GwtIncompatible // Float.toString returns different value in GWT.
+  // Float.toString returns different value in GWT.
   public void testStringConverter_reverse() {
     Converter<String, Float> converter = Floats.stringConverter();
     assertEquals("1.0", converter.reverse().convert(1.0f));
@@ -631,13 +625,12 @@ public class FloatsTest extends TestCase {
     assertEquals("1.0E-6", converter.reverse().convert(1e-6f));
   }
 
-  @GwtIncompatible // NullPointerTester
+  // NullPointerTester
   public void testStringConverter_nullPointerTester() throws Exception {
     NullPointerTester tester = new NullPointerTester();
     tester.testAllPublicInstanceMethods(Floats.stringConverter());
   }
 
-  @GwtIncompatible
   public void testTryParse_withNullNoGwt() {
     assertNull(Floats.tryParse("null"));
     try {
diff --git a/android/guava-tests/test/com/google/common/primitives/ImmutableDoubleArrayTest.java b/android/guava-tests/test/com/google/common/primitives/ImmutableDoubleArrayTest.java
index 4d98836..12d8b24 100644
--- a/android/guava-tests/test/com/google/common/primitives/ImmutableDoubleArrayTest.java
+++ b/android/guava-tests/test/com/google/common/primitives/ImmutableDoubleArrayTest.java
@@ -18,9 +18,6 @@ import static com.google.common.primitives.TestPlatform.reduceIterationsIfGwt;
 import static com.google.common.testing.SerializableTester.reserialize;
 import static com.google.common.truth.Truth.assertThat;
 
-import com.google.common.annotations.GwtCompatible;
-import com.google.common.annotations.GwtIncompatible;
-import com.google.common.collect.ImmutableList;
 import com.google.common.collect.ObjectArrays;
 import com.google.common.collect.testing.ListTestSuiteBuilder;
 import com.google.common.collect.testing.SampleElements;
@@ -41,7 +38,6 @@ import junit.framework.TestCase;
 import junit.framework.TestSuite;
 
 /** @author Kevin Bourrillion */
-@GwtCompatible(emulated = true)
 public class ImmutableDoubleArrayTest extends TestCase {
   // Test all creation paths very lazily: by assuming asList() works
 
@@ -399,7 +395,7 @@ public class ImmutableDoubleArrayTest extends TestCase {
     assertActuallyTrims(underSized);
   }
 
-  @GwtIncompatible // SerializableTester
+  // SerializableTester
   public void testSerialization() {
     assertThat(reserialize(ImmutableDoubleArray.of())).isSameInstanceAs(ImmutableDoubleArray.of());
     assertThat(reserialize(ImmutableDoubleArray.of(0, 1).subArray(1, 1)))
@@ -423,7 +419,7 @@ public class ImmutableDoubleArrayTest extends TestCase {
     assertThat(iia.trimmed()).isSameInstanceAs(iia);
   }
 
-  @GwtIncompatible // suite
+  // suite
   public static Test suite() {
     List<ListTestSuiteBuilder<Double>> builders =
         ImmutableList.of(
@@ -454,7 +450,7 @@ public class ImmutableDoubleArrayTest extends TestCase {
     return suite;
   }
 
-  @GwtIncompatible // used only from suite
+  // used only from suite
   private static ImmutableDoubleArray makeArray(Double[] values) {
     return ImmutableDoubleArray.copyOf(Arrays.asList(values));
   }
@@ -462,7 +458,7 @@ public class ImmutableDoubleArrayTest extends TestCase {
   // Test generators.  To let the GWT test suite generator access them, they need to be public named
   // classes with a public default constructor (not that we run these suites under GWT yet).
 
-  @GwtIncompatible // used only from suite
+  // used only from suite
   public static final class ImmutableDoubleArrayAsListGenerator extends TestDoubleListGenerator {
     @Override
     protected List<Double> create(Double[] elements) {
@@ -470,7 +466,7 @@ public class ImmutableDoubleArrayTest extends TestCase {
     }
   }
 
-  @GwtIncompatible // used only from suite
+  // used only from suite
   public static final class ImmutableDoubleArrayHeadSubListAsListGenerator
       extends TestDoubleListGenerator {
     @Override
@@ -481,7 +477,7 @@ public class ImmutableDoubleArrayTest extends TestCase {
     }
   }
 
-  @GwtIncompatible // used only from suite
+  // used only from suite
   public static final class ImmutableDoubleArrayTailSubListAsListGenerator
       extends TestDoubleListGenerator {
     @Override
@@ -492,7 +488,7 @@ public class ImmutableDoubleArrayTest extends TestCase {
     }
   }
 
-  @GwtIncompatible // used only from suite
+  // used only from suite
   public static final class ImmutableDoubleArrayMiddleSubListAsListGenerator
       extends TestDoubleListGenerator {
     @Override
@@ -504,12 +500,12 @@ public class ImmutableDoubleArrayTest extends TestCase {
     }
   }
 
-  @GwtIncompatible // used only from suite
+  // used only from suite
   private static Double[] concat(Double[] a, Double[] b) {
     return ObjectArrays.concat(a, b, Double.class);
   }
 
-  @GwtIncompatible // used only from suite
+  // used only from suite
   public abstract static class TestDoubleListGenerator implements TestListGenerator<Double> {
     @Override
     public SampleElements<Double> samples() {
@@ -544,7 +540,7 @@ public class ImmutableDoubleArrayTest extends TestCase {
     }
   }
 
-  @GwtIncompatible // used only from suite
+  // used only from suite
   public static class SampleDoubles extends SampleElements<Double> {
     public SampleDoubles() {
       super(-0.0, Long.MAX_VALUE * 3.0, Double.MAX_VALUE, Double.POSITIVE_INFINITY, Double.NaN);
diff --git a/android/guava-tests/test/com/google/common/primitives/ImmutableIntArrayTest.java b/android/guava-tests/test/com/google/common/primitives/ImmutableIntArrayTest.java
index 86274d4..10623a3 100644
--- a/android/guava-tests/test/com/google/common/primitives/ImmutableIntArrayTest.java
+++ b/android/guava-tests/test/com/google/common/primitives/ImmutableIntArrayTest.java
@@ -18,9 +18,6 @@ import static com.google.common.primitives.TestPlatform.reduceIterationsIfGwt;
 import static com.google.common.testing.SerializableTester.reserialize;
 import static com.google.common.truth.Truth.assertThat;
 
-import com.google.common.annotations.GwtCompatible;
-import com.google.common.annotations.GwtIncompatible;
-import com.google.common.collect.ImmutableList;
 import com.google.common.collect.ObjectArrays;
 import com.google.common.collect.testing.ListTestSuiteBuilder;
 import com.google.common.collect.testing.SampleElements;
@@ -41,7 +38,6 @@ import junit.framework.TestCase;
 import junit.framework.TestSuite;
 
 /** @author Kevin Bourrillion */
-@GwtCompatible(emulated = true)
 public class ImmutableIntArrayTest extends TestCase {
   // Test all creation paths very lazily: by assuming asList() works
 
@@ -386,7 +382,7 @@ public class ImmutableIntArrayTest extends TestCase {
     assertActuallyTrims(underSized);
   }
 
-  @GwtIncompatible // SerializableTester
+  // SerializableTester
   public void testSerialization() {
     assertThat(reserialize(ImmutableIntArray.of())).isSameInstanceAs(ImmutableIntArray.of());
     assertThat(reserialize(ImmutableIntArray.of(0, 1).subArray(1, 1)))
@@ -410,7 +406,7 @@ public class ImmutableIntArrayTest extends TestCase {
     assertThat(iia.trimmed()).isSameInstanceAs(iia);
   }
 
-  @GwtIncompatible // suite
+  // suite
   public static Test suite() {
     List<ListTestSuiteBuilder<Integer>> builders =
         ImmutableList.of(
@@ -441,7 +437,7 @@ public class ImmutableIntArrayTest extends TestCase {
     return suite;
   }
 
-  @GwtIncompatible // used only from suite
+  // used only from suite
   private static ImmutableIntArray makeArray(Integer[] values) {
     return ImmutableIntArray.copyOf(Arrays.asList(values));
   }
@@ -449,7 +445,7 @@ public class ImmutableIntArrayTest extends TestCase {
   // Test generators.  To let the GWT test suite generator access them, they need to be public named
   // classes with a public default constructor (not that we run these suites under GWT yet).
 
-  @GwtIncompatible // used only from suite
+  // used only from suite
   public static final class ImmutableIntArrayAsListGenerator extends TestIntegerListGenerator {
     @Override
     protected List<Integer> create(Integer[] elements) {
@@ -457,7 +453,7 @@ public class ImmutableIntArrayTest extends TestCase {
     }
   }
 
-  @GwtIncompatible // used only from suite
+  // used only from suite
   public static final class ImmutableIntArrayHeadSubListAsListGenerator
       extends TestIntegerListGenerator {
     @Override
@@ -468,7 +464,7 @@ public class ImmutableIntArrayTest extends TestCase {
     }
   }
 
-  @GwtIncompatible // used only from suite
+  // used only from suite
   public static final class ImmutableIntArrayTailSubListAsListGenerator
       extends TestIntegerListGenerator {
     @Override
@@ -479,7 +475,7 @@ public class ImmutableIntArrayTest extends TestCase {
     }
   }
 
-  @GwtIncompatible // used only from suite
+  // used only from suite
   public static final class ImmutableIntArrayMiddleSubListAsListGenerator
       extends TestIntegerListGenerator {
     @Override
@@ -491,12 +487,12 @@ public class ImmutableIntArrayTest extends TestCase {
     }
   }
 
-  @GwtIncompatible // used only from suite
+  // used only from suite
   private static Integer[] concat(Integer[] a, Integer[] b) {
     return ObjectArrays.concat(a, b, Integer.class);
   }
 
-  @GwtIncompatible // used only from suite
+  // used only from suite
   public abstract static class TestIntegerListGenerator implements TestListGenerator<Integer> {
     @Override
     public SampleElements<Integer> samples() {
@@ -531,7 +527,7 @@ public class ImmutableIntArrayTest extends TestCase {
     }
   }
 
-  @GwtIncompatible // used only from suite
+  // used only from suite
   public static class SampleIntegers extends SampleElements<Integer> {
     public SampleIntegers() {
       super(1, 3, 6, 10, 15);
diff --git a/android/guava-tests/test/com/google/common/primitives/ImmutableLongArrayTest.java b/android/guava-tests/test/com/google/common/primitives/ImmutableLongArrayTest.java
index ff879ec..5c0be21 100644
--- a/android/guava-tests/test/com/google/common/primitives/ImmutableLongArrayTest.java
+++ b/android/guava-tests/test/com/google/common/primitives/ImmutableLongArrayTest.java
@@ -18,9 +18,6 @@ import static com.google.common.primitives.TestPlatform.reduceIterationsIfGwt;
 import static com.google.common.testing.SerializableTester.reserialize;
 import static com.google.common.truth.Truth.assertThat;
 
-import com.google.common.annotations.GwtCompatible;
-import com.google.common.annotations.GwtIncompatible;
-import com.google.common.collect.ImmutableList;
 import com.google.common.collect.ObjectArrays;
 import com.google.common.collect.testing.ListTestSuiteBuilder;
 import com.google.common.collect.testing.SampleElements;
@@ -41,7 +38,6 @@ import junit.framework.TestCase;
 import junit.framework.TestSuite;
 
 /** @author Kevin Bourrillion */
-@GwtCompatible(emulated = true)
 public class ImmutableLongArrayTest extends TestCase {
   // Test all creation paths very lazily: by assuming asList() works
 
@@ -388,7 +384,7 @@ public class ImmutableLongArrayTest extends TestCase {
     assertActuallyTrims(underSized);
   }
 
-  @GwtIncompatible // SerializableTester
+  // SerializableTester
   public void testSerialization() {
     assertThat(reserialize(ImmutableLongArray.of())).isSameInstanceAs(ImmutableLongArray.of());
     assertThat(reserialize(ImmutableLongArray.of(0, 1).subArray(1, 1)))
@@ -412,7 +408,7 @@ public class ImmutableLongArrayTest extends TestCase {
     assertThat(iia.trimmed()).isSameInstanceAs(iia);
   }
 
-  @GwtIncompatible // suite
+  // suite
   public static Test suite() {
     List<ListTestSuiteBuilder<Long>> builders =
         ImmutableList.of(
@@ -443,7 +439,7 @@ public class ImmutableLongArrayTest extends TestCase {
     return suite;
   }
 
-  @GwtIncompatible // used only from suite
+  // used only from suite
   private static ImmutableLongArray makeArray(Long[] values) {
     return ImmutableLongArray.copyOf(Arrays.asList(values));
   }
@@ -451,7 +447,7 @@ public class ImmutableLongArrayTest extends TestCase {
   // Test generators.  To let the GWT test suite generator access them, they need to be public named
   // classes with a public default constructor (not that we run these suites under GWT yet).
 
-  @GwtIncompatible // used only from suite
+  // used only from suite
   public static final class ImmutableLongArrayAsListGenerator extends TestLongListGenerator {
     @Override
     protected List<Long> create(Long[] elements) {
@@ -459,7 +455,7 @@ public class ImmutableLongArrayTest extends TestCase {
     }
   }
 
-  @GwtIncompatible // used only from suite
+  // used only from suite
   public static final class ImmutableLongArrayHeadSubListAsListGenerator
       extends TestLongListGenerator {
     @Override
@@ -470,7 +466,7 @@ public class ImmutableLongArrayTest extends TestCase {
     }
   }
 
-  @GwtIncompatible // used only from suite
+  // used only from suite
   public static final class ImmutableLongArrayTailSubListAsListGenerator
       extends TestLongListGenerator {
     @Override
@@ -481,7 +477,7 @@ public class ImmutableLongArrayTest extends TestCase {
     }
   }
 
-  @GwtIncompatible // used only from suite
+  // used only from suite
   public static final class ImmutableLongArrayMiddleSubListAsListGenerator
       extends TestLongListGenerator {
     @Override
@@ -493,12 +489,12 @@ public class ImmutableLongArrayTest extends TestCase {
     }
   }
 
-  @GwtIncompatible // used only from suite
+  // used only from suite
   private static Long[] concat(Long[] a, Long[] b) {
     return ObjectArrays.concat(a, b, Long.class);
   }
 
-  @GwtIncompatible // used only from suite
+  // used only from suite
   public abstract static class TestLongListGenerator implements TestListGenerator<Long> {
     @Override
     public SampleElements<Long> samples() {
@@ -533,7 +529,7 @@ public class ImmutableLongArrayTest extends TestCase {
     }
   }
 
-  @GwtIncompatible // used only from suite
+  // used only from suite
   public static class SampleLongs extends SampleElements<Long> {
     public SampleLongs() {
       super(1L << 31, 1L << 33, 1L << 36, 1L << 40, 1L << 45);
diff --git a/android/guava-tests/test/com/google/common/primitives/IntArrayAsListTest.java b/android/guava-tests/test/com/google/common/primitives/IntArrayAsListTest.java
index e02d1aa..8eae19b 100644
--- a/android/guava-tests/test/com/google/common/primitives/IntArrayAsListTest.java
+++ b/android/guava-tests/test/com/google/common/primitives/IntArrayAsListTest.java
@@ -18,9 +18,6 @@ package com.google.common.primitives;
 
 import static com.google.common.base.Preconditions.checkNotNull;
 
-import com.google.common.annotations.GwtCompatible;
-import com.google.common.annotations.GwtIncompatible;
-import com.google.common.collect.ImmutableList;
 import com.google.common.collect.testing.ListTestSuiteBuilder;
 import com.google.common.collect.testing.SampleElements;
 import com.google.common.collect.testing.TestListGenerator;
@@ -37,7 +34,6 @@ import junit.framework.TestSuite;
  *
  * @author Kevin Bourrillion
  */
-@GwtCompatible(emulated = true)
 @SuppressWarnings("cast") // redundant casts are intentional and harmless
 public class IntArrayAsListTest extends TestCase {
 
@@ -49,7 +45,7 @@ public class IntArrayAsListTest extends TestCase {
     return Ints.asList(temp);
   }
 
-  @GwtIncompatible // suite
+  // suite
   public static Test suite() {
     List<ListTestSuiteBuilder<Integer>> builders =
         ImmutableList.of(
diff --git a/android/guava-tests/test/com/google/common/primitives/IntsTest.java b/android/guava-tests/test/com/google/common/primitives/IntsTest.java
index 7215422..5a2d18e 100644
--- a/android/guava-tests/test/com/google/common/primitives/IntsTest.java
+++ b/android/guava-tests/test/com/google/common/primitives/IntsTest.java
@@ -16,8 +16,6 @@
 
 package com.google.common.primitives;
 
-import com.google.common.annotations.GwtCompatible;
-import com.google.common.annotations.GwtIncompatible;
 import com.google.common.base.Converter;
 import com.google.common.collect.testing.Helpers;
 import com.google.common.testing.NullPointerTester;
@@ -35,7 +33,6 @@ import junit.framework.TestCase;
  *
  * @author Kevin Bourrillion
  */
-@GwtCompatible(emulated = true)
 @SuppressWarnings("cast") // redundant casts are intentional and harmless
 public class IntsTest extends TestCase {
   private static final int[] EMPTY = {};
@@ -155,7 +152,6 @@ public class IntsTest extends TestCase {
     assertEquals(3, Ints.lastIndexOf(new int[] {(int) 2, (int) 3, (int) 2, (int) 3}, (int) 3));
   }
 
-  @GwtIncompatible
   public void testMax_noArgs() {
     try {
       Ints.max();
@@ -170,7 +166,6 @@ public class IntsTest extends TestCase {
     assertEquals((int) 9, Ints.max((int) 8, (int) 6, (int) 7, (int) 5, (int) 3, (int) 0, (int) 9));
   }
 
-  @GwtIncompatible
   public void testMin_noArgs() {
     try {
       Ints.min();
@@ -300,7 +295,7 @@ public class IntsTest extends TestCase {
     Helpers.testComparator(comparator, ordered);
   }
 
-  @GwtIncompatible // SerializableTester
+  // SerializableTester
   public void testLexicographicalComparatorSerializable() {
     Comparator<int[]> comparator = Ints.lexicographicalComparator();
     assertSame(comparator, SerializableTester.reserialize(comparator));
@@ -365,7 +360,7 @@ public class IntsTest extends TestCase {
     testSortDescending(new int[] {-1, -2, 1, 2}, 1, 3, new int[] {-1, 1, -2, 2});
   }
 
-  @GwtIncompatible // SerializableTester
+  // SerializableTester
   public void testStringConverterSerialization() {
     SerializableTester.reserializeAndAssert(Ints.stringConverter());
   }
@@ -461,7 +456,7 @@ public class IntsTest extends TestCase {
     assertSame(Collections.emptyList(), Ints.asList(EMPTY));
   }
 
-  @GwtIncompatible // NullPointerTester
+  // NullPointerTester
   public void testNulls() {
     new NullPointerTester().testAllPublicStaticMethods(Ints.class);
   }
@@ -502,7 +497,7 @@ public class IntsTest extends TestCase {
     assertEquals("438", converter.reverse().convert(0666));
   }
 
-  @GwtIncompatible // NullPointerTester
+  // NullPointerTester
   public void testStringConverter_nullPointerTester() throws Exception {
     NullPointerTester tester = new NullPointerTester();
     tester.testAllPublicInstanceMethods(Ints.stringConverter());
diff --git a/android/guava-tests/test/com/google/common/primitives/LongArrayAsListTest.java b/android/guava-tests/test/com/google/common/primitives/LongArrayAsListTest.java
index 1c51e7e..98a9b41 100644
--- a/android/guava-tests/test/com/google/common/primitives/LongArrayAsListTest.java
+++ b/android/guava-tests/test/com/google/common/primitives/LongArrayAsListTest.java
@@ -18,9 +18,6 @@ package com.google.common.primitives;
 
 import static com.google.common.base.Preconditions.checkNotNull;
 
-import com.google.common.annotations.GwtCompatible;
-import com.google.common.annotations.GwtIncompatible;
-import com.google.common.collect.ImmutableList;
 import com.google.common.collect.testing.ListTestSuiteBuilder;
 import com.google.common.collect.testing.SampleElements;
 import com.google.common.collect.testing.TestListGenerator;
@@ -37,7 +34,6 @@ import junit.framework.TestSuite;
  *
  * @author Kevin Bourrillion
  */
-@GwtCompatible(emulated = true)
 public class LongArrayAsListTest extends TestCase {
 
   private static List<Long> asList(Long[] values) {
@@ -48,7 +44,7 @@ public class LongArrayAsListTest extends TestCase {
     return Longs.asList(temp);
   }
 
-  @GwtIncompatible // suite
+  // suite
   public static Test suite() {
     List<ListTestSuiteBuilder<Long>> builders =
         ImmutableList.of(
diff --git a/android/guava-tests/test/com/google/common/primitives/LongsTest.java b/android/guava-tests/test/com/google/common/primitives/LongsTest.java
index 236d461..ec31882 100644
--- a/android/guava-tests/test/com/google/common/primitives/LongsTest.java
+++ b/android/guava-tests/test/com/google/common/primitives/LongsTest.java
@@ -19,8 +19,6 @@ package com.google.common.primitives;
 import static java.lang.Long.MAX_VALUE;
 import static java.lang.Long.MIN_VALUE;
 
-import com.google.common.annotations.GwtCompatible;
-import com.google.common.annotations.GwtIncompatible;
 import com.google.common.base.Converter;
 import com.google.common.collect.testing.Helpers;
 import com.google.common.testing.NullPointerTester;
@@ -39,7 +37,6 @@ import junit.framework.TestCase;
  *
  * @author Kevin Bourrillion
  */
-@GwtCompatible(emulated = true)
 @SuppressWarnings("cast") // redundant casts are intentional and harmless
 public class LongsTest extends TestCase {
   private static final long[] EMPTY = {};
@@ -48,7 +45,7 @@ public class LongsTest extends TestCase {
 
   private static final long[] VALUES = {MIN_VALUE, (long) -1, (long) 0, (long) 1, MAX_VALUE};
 
-  @GwtIncompatible // Long.hashCode returns different values in GWT.
+  // Long.hashCode returns different values in GWT.
   public void testHashCode() {
     for (long value : VALUES) {
       assertEquals("hashCode for " + value, ((Long) value).hashCode(), Longs.hashCode(value));
@@ -312,7 +309,7 @@ public class LongsTest extends TestCase {
     Helpers.testComparator(comparator, ordered);
   }
 
-  @GwtIncompatible // SerializableTester
+  // SerializableTester
   public void testLexicographicalComparatorSerializable() {
     Comparator<long[]> comparator = Longs.lexicographicalComparator();
     assertSame(comparator, SerializableTester.reserialize(comparator));
@@ -377,7 +374,7 @@ public class LongsTest extends TestCase {
     testSortDescending(new long[] {-1, -2, 1, 2}, 1, 3, new long[] {-1, 1, -2, 2});
   }
 
-  @GwtIncompatible // SerializableTester
+  // SerializableTester
   public void testStringConverterSerialization() {
     SerializableTester.reserializeAndAssert(Longs.stringConverter());
   }
@@ -473,7 +470,7 @@ public class LongsTest extends TestCase {
     assertSame(Collections.emptyList(), Longs.asList(EMPTY));
   }
 
-  @GwtIncompatible // NullPointerTester
+  // NullPointerTester
   public void testNulls() {
     new NullPointerTester().testAllPublicStaticMethods(Longs.class);
   }
@@ -514,7 +511,7 @@ public class LongsTest extends TestCase {
     assertEquals("438", converter.reverse().convert(0666L));
   }
 
-  @GwtIncompatible // NullPointerTester
+  // NullPointerTester
   public void testStringConverter_nullPointerTester() throws Exception {
     NullPointerTester tester = new NullPointerTester();
     tester.testAllPublicInstanceMethods(Longs.stringConverter());
diff --git a/android/guava-tests/test/com/google/common/primitives/PrimitivesTest.java b/android/guava-tests/test/com/google/common/primitives/PrimitivesTest.java
index 1e09743..d602cd2 100644
--- a/android/guava-tests/test/com/google/common/primitives/PrimitivesTest.java
+++ b/android/guava-tests/test/com/google/common/primitives/PrimitivesTest.java
@@ -16,7 +16,6 @@
 
 package com.google.common.primitives;
 
-import com.google.common.collect.ImmutableSet;
 import com.google.common.testing.NullPointerTester;
 import java.util.Set;
 import junit.framework.TestCase;
diff --git a/android/guava-tests/test/com/google/common/primitives/ShortArrayAsListTest.java b/android/guava-tests/test/com/google/common/primitives/ShortArrayAsListTest.java
index 9a1fada..3808e05 100644
--- a/android/guava-tests/test/com/google/common/primitives/ShortArrayAsListTest.java
+++ b/android/guava-tests/test/com/google/common/primitives/ShortArrayAsListTest.java
@@ -18,9 +18,6 @@ package com.google.common.primitives;
 
 import static com.google.common.base.Preconditions.checkNotNull;
 
-import com.google.common.annotations.GwtCompatible;
-import com.google.common.annotations.GwtIncompatible;
-import com.google.common.collect.ImmutableList;
 import com.google.common.collect.testing.ListTestSuiteBuilder;
 import com.google.common.collect.testing.SampleElements;
 import com.google.common.collect.testing.TestListGenerator;
@@ -37,7 +34,6 @@ import junit.framework.TestSuite;
  *
  * @author Kevin Bourrillion
  */
-@GwtCompatible(emulated = true)
 public class ShortArrayAsListTest extends TestCase {
 
   private static List<Short> asList(Short[] values) {
@@ -48,7 +44,7 @@ public class ShortArrayAsListTest extends TestCase {
     return Shorts.asList(temp);
   }
 
-  @GwtIncompatible // suite
+  // suite
   public static Test suite() {
     List<ListTestSuiteBuilder<Short>> builders =
         ImmutableList.of(
